using Microsoft.EntityFrameworkCore;
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
namespace  Models
{
    /// <summary>
    /// 酒店组 基本信息
    /// </summary>
    [Table("TBL_HOTEL_GROUP_INFO"), Comment("酒店组 基本信息")]
    public class TBL_HOTEL_GROUP_INFO
    {
        /// <summary>
        /// ID  主键id
        /// </summary>
        [Key, Column(TypeName = "int"), Comment("HOTEL_GROUP__ID,自增长"), DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int HOTEL_GROUP_ID { get; set; }


        /// <summary>
        ///   HOTEL_GROUP_NAME  酒店组名
        /// </summary>
        [Column(TypeName = "nvarchar(50)"), Comment("酒店组名"), Required]
        public string HOTEL_GROUP_NAME { get; set; }

        /// <summary>
        ///   PARENT_ID  父级ID
        /// </summary>
        [Column(TypeName = "int"), Comment("父级ID"), Required]
        public int PARENT_ID { get; set; }

        /// <summary>
        ///   SORT  排序
        /// </summary>
        [Column(TypeName = "int"), Comment("排序")]
        public int SORT { get; set; }


        [Column(TypeName = "int"), Comment("录入人")]

        public int KEY_IN { get; set; }

        /// <summary>
        /// 录入时间
        /// </summary>

        [Column(TypeName = "datetime"), Comment("录入时间，插入时自动赋值")]

        public DateTime KEY_IN_DATETIME { get; set; } = DateTime.Now;

        /// <summary>
        /// 审核人
        /// </summary>

        [Column(TypeName = "int"), Comment("审核人")]
        public int? APPROVE { get; set; }

        /// <summary>
        /// 审核时间
        /// </summary>

        [Column(TypeName = "datetime"), Comment("审核时间")]

        public DateTime? APPROVE_DATE { get; set; }


        /// <summary>
        /// 记录更新时间
        /// </summary>

       [Column(TypeName = "datetime"), Comment("记录更新时间")]


        public DateTime? UPDATE_TIMEMARK { get; set; } = DateTime.Now;


        /// <summary>
        /// 备注
        /// </summary>

        [Column(TypeName = "nvarchar(520)"), Comment("备注")]

        public string REMARK { get; set; }



        /// <summary> 
        ///  数据 是否在 巫工   库删除 0  未  1 已经删除   2 在系统删除
        /// </summary>
        [Column(TypeName = "int"), Comment("数据 是否在 巫工   库删除 0  未  1 已经删除   2 在系统删除")]
        public int IsDel { get; set; }



        /// <summary>
        /// 旧 ID 
        /// </summary>
        [Column(TypeName = "int") ]
        public int HOTEL_GROUP_OLD_ID { get; set; }

        /// <summary>
        ///   PARENT_ID  父级ID  旧
        /// </summary>
        [Column(TypeName = "int"), Comment("父级ID  旧"), Required]
        public int PARENT_OLD_ID { get; set; }

    }
}
